Summary:        Convert Python packages to RPM SPECFILES
Name:           pyp2rpm
Version:        3.3.10
Release:        1%{?dist}

License:        MIT
URL:            https://pypi.python.org/pypi/pyp2rpm
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires: python3dist(pytest) python3dist(flexmock) >= 0.9.3 python3dist(scripttest)
BuildRequires: python3-devel python3dist(setuptools) python3dist(virtualenv-api) python3dist(jinja2) python3dist(click) python3dist(pytest-runner)

Requires: python3dist(jinja2) python3dist(setuptools) python3dist(click) python3dist(virtualenv-api) python3-rpm rpmdevtools

Suggests:       python2dist(setuptools)


%description
Convert Python packages to RPM SPECFILES. The packages can be downloaded from
PyPI and the produced SPEC is in line with Fedora 201x-era Python Packaging
Guidelines or Mageia Python Policy.

Unfortunately, pyp2rpm does not generate spec files according to to the current
Fedora Python Packaging Guidelines.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH="." py.test-3 -vv -m "not webtest" -k "not TestMetadataExtractor"

%files
%license LICENSE
%doc README.md
%{_bindir}/pyp2rpm
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Mar 19 2024 cunshunxia <cunshunxia@tencent.com> - 3.3.10-1
- initial build
